Subject: Re: faked inode numbers on network drives
From: "Martin Dorey" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 26 Jan 2006 00:21:56 -0800

Martin Koeppe wrote:
>> (samba reports the device number as low part of the inode number, and

>> the real ext2 fs inode number as high part, which is bad for 
>> interix/sfu, as it only shows the low part as inode number. I just 
>> reported this as samba bug 3287, see 
>> https://bugzilla.samba.org/show_bug.cgi?id=3287 )

Corinna wrote (in reply to the suggestion that inode numbers can
sometimes
safely be returned for DRIVE_REMOTE files):
> Yes, that matches our observations.  I've applied a fix already.

In Cygwin 1.5.19, the Samba issue also trips an inode collision which
I've
submitted as a bug in make:

http://savannah.gnu.org/bugs/?func=detailitem&item_id=15534

I'm guessing that this (perfectly reasonable) change of Corrina's was
the
reason I see the issue in 1.5.19 and wasn't seeing it in 1.5.18:

http://cygwin.com/cgi-bin/cvsweb.cgi/src/winsup/cygwin/fhandler_disk_fil
e.cc.diff?r1=1.147&r2=1.148&cvsroot=src&f=h
-------------------------------------
Martin's Outlook, BlueArc Engineering

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/